org.wso2.extension.siddhi.execution.ml.samoa.utils

## Class EvaluationProcessor

- java.lang.Object
- - org.wso2.extension.siddhi.execution.ml.samoa.utils.EvaluationProcessor

- All Implemented Interfaces:
    com.github.javacliparser.Configurable, Serializable, org.apache.samoa.core.Processor
  Direct Known Subclasses:
    StreamingClassificationEvaluationProcessor, StreamingClusteringEvaluationProcessor, StreamingRegressionEvaluationProcessor

      public abstract class EvaluationProcessor
      extends Object
      implements org.apache.samoa.core.Processor

  Source : https://github.com/apache/incubator-samoa/blob/master/samoa-api/src/main/java/org/ apache/samoa/evaluation/EvaluatorProcessor.java
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `experimentStart`
    `protected boolean` | `firstDump`
    `protected PrintStream` | `immediateResultStream`
    `protected org.apache.samoa.moa.evaluation.LearningCurve` | `learningCurve`
    `protected int` | `processId`
    `protected long` | `sampleStart`
    `protected long` | `totalCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EvaluationProcessor()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract org.apache.samoa.core.Processor` | `newProcessor(org.apache.samoa.core.Processor p)`
    `abstract void` | `onCreate(int id)`
    `abstract boolean` | `process(org.apache.samoa.core.ContentEvent event)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### immediateResultStream

          protected transient PrintStream immediateResultStream

    - #### firstDump

          protected transient boolean firstDump

    - #### totalCount

          protected long totalCount

    - #### experimentStart

          protected long experimentStart

    - #### sampleStart

          protected long sampleStart

    - #### learningCurve

          protected org.apache.samoa.moa.evaluation.LearningCurve learningCurve

    - #### processId

          protected int processId

  - ### Constructor Detail

    - #### EvaluationProcessor

          public EvaluationProcessor()

  - ### Method Detail

    - #### process

          public abstract boolean process(org.apache.samoa.core.ContentEvent event)

      Specified by:
        `process` in interface `org.apache.samoa.core.Processor`

    - #### newProcessor

          public abstract org.apache.samoa.core.Processor newProcessor(org.apache.samoa.core.Processor p)

      Specified by:
        `newProcessor` in interface `org.apache.samoa.core.Processor`

    - #### onCreate

          public abstract void onCreate(int id)

      Specified by:
        `onCreate` in interface `org.apache.samoa.core.Processor`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2017 WSO2. All rights reserved.